# Set the functions in the problem
r = pyunlocbox.functions.norm_l2(A=L, tight=False)
# >>>
# Define the solver
step = 0.999 / np.linalg.norm(np.dot(L.T, L) + gamma * np.diag(M), 2)
solver = pyunlocbox.solvers.gradient_descent(step=step)
# >>>
# Solve the problem
x0 = subsampled_noisy_label_signal.copy()
prob2 = pyunlocbox.solvers.solve([r, f], solver=solver,
                                 x0=x0, rtol=0, maxit=1000)
# Solution found after 1000 iterations:
# objective function f(sol) = 9.555135e+01
# stopping criterion: MAXIT
# >>>
G.plot_signal(prob2['sol'])
